using VT.FW.DB;
using System;
using System.Collections.Generic;
using System.Text;

namespace Mall.Model.Entity.User
{
    /// <summary>
    /// 底部导航标签实体类
    /// </summary>
    [Serializable]
    [DB(ConnectionName = "DefaultConnection")]
    public class RB_Miniprogram_Bottomnav
    {
        /// <summary>
        /// 主键Id
        /// </summary>        
        public int TagId
        {
            get;
            set;
        }

        /// <summary>
        /// 商户号Id
        /// </summary>        
        public int? TenantId
        {
            get;
            set;
        }

        /// <summary>
        /// 小程序Id
        /// </summary>        
        public int? MallBaseId
        {
            get;
            set;
        }

        /// <summary>
        /// 默认图标
        /// </summary>        
        public string DefaultIcon
        {
            get;
            set;
        }

        /// <summary>
        /// 选中图标
        /// </summary>        
        public string CheckedIcon
        {
            get;
            set;
        }

        /// <summary>
        /// 标签名称
        /// </summary>        
        public string TagName
        {
            get;
            set;
        }

        /// <summary>
        /// 默认文字颜色
        /// </summary>        
        public string DefaultColor
        {
            get;
            set;
        }

        /// <summary>
        /// 选择文字颜色
        /// </summary>        
        public string CheckedColor
        {
            get;
            set;
        }

        /// <summary>
        /// 标签链接
        /// </summary>        
        public string TagLink
        {
            get;
            set;
        }

        /// <summary>
        /// 状态
        /// </summary>        
        public int? Status
        {
            get;
            set;
        }

        /// <summary>
        /// 排序
        /// </summary>
        public int TagSort { get; set; }

        /// <summary>
        /// 标签模式(0-全部,1-电商,2-教育)
        /// </summary>
        public int TagType { get; set; }
    }
}
